# Uses of Interface
org.springframework.core.task.TaskDecorator

Packages that use TaskDecorator
Package
Description
org.springframework.core.task
This package defines Spring's core TaskExecutor abstraction, and provides SyncTaskExecutor and SimpleAsyncTaskExecutor implementations.
org.springframework.core.task.support
Support classes for Spring's TaskExecutor abstraction.

## Uses of TaskDecorator in org.springframework.core.task

Methods in org.springframework.core.task with parameters of type TaskDecorator
Modifier and Type
Method
Description
`void`
SimpleAsyncTaskExecutor.`setTaskDecorator(TaskDecorator taskDecorator)`
Specify a custom `TaskDecorator` to be applied to any `Runnable` about to be executed.

## Uses of TaskDecorator in org.springframework.core.task.support

Classes in org.springframework.core.task.support that implement TaskDecorator
Modifier and Type
Class
Description
`class`
`CompositeTaskDecorator`
Composite `TaskDecorator` that delegates to other task decorators.
`class`
`ContextPropagatingTaskDecorator`
`TaskDecorator` that `wraps the execution` of tasks, assisting with context propagation.
Methods in org.springframework.core.task.support with parameters of type TaskDecorator
Modifier and Type
Method
Description
`protected void`
TaskExecutorAdapter.`doExecute(Executor concurrentExecutor, TaskDecorator taskDecorator, Runnable runnable)`
Actually execute the given `Runnable` (which may be a user-supplied task or a wrapper around a user-supplied task) with the given executor.
`final void`
TaskExecutorAdapter.`setTaskDecorator(TaskDecorator taskDecorator)`
Specify a custom `TaskDecorator` to be applied to any `Runnable` about to be executed.
Constructor parameters in org.springframework.core.task.support with type arguments of type TaskDecorator
Modifier
Constructor
Description
``
`CompositeTaskDecorator(Collection<? extends TaskDecorator> taskDecorators)`
Create a new instance.